Debian Bug report logs - #495351
ecl: does not install on armel (illegal instruction)

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: D Schmicker <ds_bugreport@physik.de>

Date: Sat, 16 Aug 2008 13:45:02 UTC

Severity: normal

Merged with 498008

Found in version glibc/2.7-13

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to D Schmicker <ds_bugreport@physik.de>:
New Bug report received and forwarded. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: D Schmicker <ds_bugreport@physik.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ecl: does not install on armel (illegal instruction)
Date: Sat, 16 Aug 2008 13:40:55 +0000
Package: ecl
Version: 0.9j-20080306-4
Severity: grave
Justification: renders package unusable

The package does not install on armel. The armel system is a Nokia tablet with installed chroot environmet for debian / lenny.

I add the installation and additional information on the processor. I also tried to compile the source package on the system
with simelar problem.

D Schmicker

Nokia-N800-23-14:/# apt-get install ecl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ecl is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Nokia-N800-23-14:/# ecl
bash: ecl: command not found

Nokia-N800-23-14:/usr/bin# cat /proc/cpuinfo 
Processor	: ARMv6-compatible processor rev 2 (v6l)
BogoMIPS	: 164.36
Features	: swp half thumb fastmult vfp edsp java 
CPU implementer	: 0x41
CPU architecture: 6TEJ
CPU variant	: 0x0
CPU part	: 0xb36
CPU revision	: 2
Cache type	: write-back
Cache clean	: cp15 c7 ops
Cache lockdown	: format C
Cache format	: Harvard
I size		: 32768
I assoc		: 4
I line length	: 32
I sets		: 256
D size		: 32768
D assoc		: 4
D line length	: 32
D sets		: 256

Hardware	: Nokia N800
Revision	: 24202524
Serial		: 0000000000000000



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv6l)

Kernel: Linux 2.6.21-omap1
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ecl depends on:
ii  common-lisp-controller    6.17           Common Lisp source and compiler ma
ii  libc6                     2.7-13         GNU C Library: Shared libraries
ii  libgc-dev                 1:6.8-1.1      conservative garbage collector for
ii  libgc1c2                  1:6.8-1.1      conservative garbage collector for
ii  libgmp3-dev               2:4.2.2+dfsg-3 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.2.2+dfsg-3 Multiprecision arithmetic library
ii  libncurses5-dev           5.6+20080713-1 developer's libraries and docs for

ecl recommends no packages.

Versions of packages ecl suggests:
pn  ecl-doc                       <none>     (no description available)
pn  slime                         <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to Detlef Schmicker <dschmicker@physik.de>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 495351@bugs.debian.org (full text, mbox):

From: Detlef Schmicker <dschmicker@physik.de>
To: 495351@bugs.debian.org
Subject: Sorry, have to add the correct installation report
Date: Sat, 16 Aug 2008 15:51:39 +0200
Nokia-N800-23-14:/# apt-get install ecl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  slime ecl-doc
The following NEW packages will be installed
  ecl
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/1391kB of archives.
After this operation, 4051kB of additional disk space will be used.
Selecting previously deselected package ecl.
(Reading database ... 17241 files and directories currently installed.)
Unpacking ecl (from .../ecl_0.9j-20080306-4_armel.deb) ...
Processing triggers for man-db ...
Setting up ecl (0.9j-20080306-4) ...
/usr/lib/common-lisp/bin/ecl.sh loading and dumping clc.
/usr/lib/common-lisp/bin/ecl.sh: line 16:  2529 Illegal
instruction     /usr/lib/ecl/ecl-original
-load /usr/lib/ecl/install-clc.lisp
Nokia-N800-23-14:/# elc
bash: elc: command not found
Nokia-N800-23-14:/# 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 495351@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 495351@bugs.debian.org
Subject: Works fine for me
Date: Sat, 30 Aug 2008 14:33:08 +0100
I just tried this, on a Thecus N2100 (armv5te) running sid and with a
tripwire set on misaligned data accesses (echo 5 >
/proc/cpu/alignment). Although the installation was very noisy,
spewing warnings while recompiling common-lisp-controller three times,
it turned out ok:

n2100:/home/martin/arm# ecl
;;; Loading #P"/usr/lib/ecl/cmp.fas"
;;; Loading #P"/usr/lib/ecl/sysfun.lsp"
ECL (Embeddable Common-Lisp) 0.9j (CVS 2008-02-16 11:33)
Copyright (C) 1984 Taiichi Yuasa and Masami Hagiya
Copyright (C) 1993 Giuseppe Attardi
Copyright (C) 2000 Juan J. Garcia-Ripoll
ECL is free software, and you are welcome to redistribute it
under certain conditions; see file 'Copyright' for details.
Type :h for Help.  Top level.
> (+ 1 2)
3
>

I gather it used to have problems with gcc-4.2. Have you apt-get
update/dist-upgraded lately?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 495351@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 495351@bugs.debian.org
Subject: Problem is specific to debian rootfs in maemo chroot and is not present in Debian proper
Date: Sat, 30 Aug 2008 16:47:36 +0100
I've tried this on armv5te and armv4t hardware under armel-sid under
gdb and not, and in all cases it works fine, so I suggets closing this bug.

For further details of the specific failing environment, see
http://sourceforge.net/mailarchive/forum.php?thread_name=1219409420.4249.11.camel@laptop&forum_name=ecls-list

    M




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 495351@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Martin Guy <martinwguy@yahoo.it>
Cc: ecls-list@lists.sourceforge.net, 495351@bugs.debian.org
Subject: Re: [Ecls-list] ECL sigill on debian armel (lenny)
Date: Wed, 03 Sep 2008 15:22:14 +0200
[Message part 1 (text/plain, inline)]
severity 495351 minor
thanks

Hi!

Please, if you deal with a Debian bug which has already been reported
(and thus has a number), don't forget to always cc: the bug as well (no
need to subscribe).  For the record, the threads on the upstream mailing
list are [1], [2] and [3].

On Sat, 30 Aug 2008 17:31:44 +0200, Martin Guy wrote:
>   This problem doesn't present itself on native debian systems:

Maybe not this specific problem, but the Debian package misses a
dependency on gcc:

=====
root@ranma:~# apt-get install ecl
[...]

Selecting previously deselected package ecl.
Unpacking ecl (from .../ecl_0.9j-20080306-4_armel.deb) ...
Processing triggers for man-db ...
Setting up libgc1c2 (1:6.8-1.2) ...
Setting up cl-asdf (1.111-1) ...
Reinstalling for ecl
Recompiling Common Lisp Controller for ecl
/usr/lib/common-lisp/bin/ecl.sh loading and dumping clc.
;;; Loading "/usr/lib/ecl/install-clc.lisp"
;;; Loading #P"/usr/lib/ecl/cmp.fas"
;;; Loading #P"/usr/lib/ecl/sysfun.lsp"

Saving to new-ecl...sh: arm-linux-gnueabi-gcc: not found
=====

It happens that ranma is my Openmoko FreeRunner, powered by Debian [4].
Since we (the Debian FSO Team [5]) decided to install a very minimal
Debian (cdeboostrap minimal flavour), gcc is not installed by default
(Priority: optional).

As soon as gcc is installed, ecl works like a charm (I tried the "hello
world" example in the documentation [6]).  Problem fixed [7].

FWIW, this is with Openmoko upstream 2.6.24 kernel.

> I've tried it on armv54te and armv4t boxes and ecl installs and runs
> fine, also under gdb. I can only think maybe some kernel difference -
> for example, ecl makes use of threads.

As explained by Detlef [3], this could be a kernel bug.  Thus this bug
should be reassigned to the kernel package, but since it could be
already fixed, I'd rather close it.

Detlef, what do you think?

> If it would help to have ssh access to a native Debian armel box, to
> help find the difference, you are welcome - just write me.

You can also play with qemu/qemubuilder as explained at [4]: ECL
installs and works fine with a Debian 2.6.24 kernel.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://thread.gmane.org/gmane.lisp.ecl.general/4210
[2] http://thread.gmane.org/gmane.lisp.ecl.general/4341
[3] http://thread.gmane.org/gmane.lisp.ecl.general/4372
[4] http://wiki.debian.org/DebianOnFreeRunner
[5] http://wiki.debian.org/Teams/DebianFSO
[6] New manual: "1.6. Compiler examples"
[7] http://git.debian.org/?p=pkg-common-lisp/ecl.git;a=commitdiff;h=0f9b75fad97065c28242d47a77aa9cca7766ffa5
[Message part 2 (application/pgp-signature, inline)]

Severity set to `minor' from `grave' Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 03 Sep 2008 13:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to Detlef Schmicker <dschmicker@physik.de>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 495351@bugs.debian.org (full text, mbox):

From: Detlef Schmicker <dschmicker@physik.de>
To: Luca Capello <luca@pca.it>
Cc: Martin Guy <martinwguy@yahoo.it>, ecls-list@lists.sourceforge.net, 495351@bugs.debian.org
Subject: Re: [Ecls-list] ECL sigill on debian armel (lenny)
Date: Wed, 03 Sep 2008 16:16:28 +0200
Hi,

as there is no simple well documented way to install a standard
armel-omap kernel on the N800 (at least I could not find one) I have
problems to install a more recent kernel than 2.6.21-omap1 (with maemo
patches), which is the most recent kernel nokia offers at the moment. I
will test as soon as I have a more recent kernel availible on N800. As
another difference between working debian and not working debian is the
processor / gcc

Processor	: ARMv6-compatible processor rev 2 (v6l)

it might still be a processor problem, but as I understood it should be
backward compatible. Does anyone have ecl with an ARMv6 running?

Detlef

Full cpuinfo:
cat /proc/cpuinfo 
Processor	: ARMv6-compatible processor rev 2 (v6l)
BogoMIPS	: 164.36
Features	: swp half thumb fastmult vfp edsp java 
CPU implementer	: 0x41
CPU architecture: 6TEJ
CPU variant	: 0x0
CPU part	: 0xb36
CPU revision	: 2
Cache type	: write-back
Cache clean	: cp15 c7 ops
Cache lockdown	: format C
Cache format	: Harvard
I size		: 32768
I assoc		: 4
I line length	: 32
I sets		: 256
D size		: 32768
D assoc		: 4
D line length	: 32
D sets		: 256

Hardware	: Nokia N800
Revision	: 24202524
Serial		: 0000000000000000
Nokia-N800-23-14:~# 


Am Mittwoch, den 03.09.2008, 15:22 +0200 schrieb Luca Capello:
> severity 495351 minor
> thanks
> 
> Hi!
> 
> Please, if you deal with a Debian bug which has already been reported
> (and thus has a number), don't forget to always cc: the bug as well (no
> need to subscribe).  For the record, the threads on the upstream mailing
> list are [1], [2] and [3].
> 
> On Sat, 30 Aug 2008 17:31:44 +0200, Martin Guy wrote:
> >   This problem doesn't present itself on native debian systems:
> 
> Maybe not this specific problem, but the Debian package misses a
> dependency on gcc:
> 
> =====
> root@ranma:~# apt-get install ecl
> [...]
> 
> Selecting previously deselected package ecl.
> Unpacking ecl (from .../ecl_0.9j-20080306-4_armel.deb) ...
> Processing triggers for man-db ...
> Setting up libgc1c2 (1:6.8-1.2) ...
> Setting up cl-asdf (1.111-1) ...
> Reinstalling for ecl
> Recompiling Common Lisp Controller for ecl
> /usr/lib/common-lisp/bin/ecl.sh loading and dumping clc.
> ;;; Loading "/usr/lib/ecl/install-clc.lisp"
> ;;; Loading #P"/usr/lib/ecl/cmp.fas"
> ;;; Loading #P"/usr/lib/ecl/sysfun.lsp"
> 
> Saving to new-ecl...sh: arm-linux-gnueabi-gcc: not found
> =====
> 
> It happens that ranma is my Openmoko FreeRunner, powered by Debian [4].
> Since we (the Debian FSO Team [5]) decided to install a very minimal
> Debian (cdeboostrap minimal flavour), gcc is not installed by default
> (Priority: optional).
> 
> As soon as gcc is installed, ecl works like a charm (I tried the "hello
> world" example in the documentation [6]).  Problem fixed [7].
> 
> FWIW, this is with Openmoko upstream 2.6.24 kernel.
> 
> > I've tried it on armv54te and armv4t boxes and ecl installs and runs
> > fine, also under gdb. I can only think maybe some kernel difference -
> > for example, ecl makes use of threads.
> 
> As explained by Detlef [3], this could be a kernel bug.  Thus this bug
> should be reassigned to the kernel package, but since it could be
> already fixed, I'd rather close it.
> 
> Detlef, what do you think?
> 
> > If it would help to have ssh access to a native Debian armel box, to
> > help find the difference, you are welcome - just write me.
> 
> You can also play with qemu/qemubuilder as explained at [4]: ECL
> installs and works fine with a Debian 2.6.24 kernel.
> 
> Thx, bye,
> Gismo / Luca
> 
> Footnotes: 
> [1] http://thread.gmane.org/gmane.lisp.ecl.general/4210
> [2] http://thread.gmane.org/gmane.lisp.ecl.general/4341
> [3] http://thread.gmane.org/gmane.lisp.ecl.general/4372
> [4] http://wiki.debian.org/DebianOnFreeRunner
> [5] http://wiki.debian.org/Teams/DebianFSO
> [6] New manual: "1.6. Compiler examples"
> [7] http://git.debian.org/?p=pkg-common-lisp/ecl.git;a=commitdiff;h=0f9b75fad97065c28242d47a77aa9cca7766ffa5
> -------------------------------------------------------------------------
> This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
> Build the coolest Linux based applications with Moblin SDK & win great prizes
> Grand prize is a trip for two to an Open Source event anywhere in the world
> http://moblin-contest.org/redirect.php?banner_id=100&url=/
> _______________________________________________ Ecls-list mailing list Ecls-list@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/ecls-list





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 495351@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Detlef Schmicker <dschmicker@physik.de>
Cc: Martin Guy <martinwguy@yahoo.it>, ecls-list@lists.sourceforge.net, 495351@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: [Ecls-list] ECL sigill on debian armel (lenny)
Date: Thu, 04 Sep 2008 23:00:00 +0200
[Message part 1 (text/plain, inline)]
Hi Detlef!

For the debian-arm mailing list: this is bug Debian bug #495351:

  http://bugs.debian.org/495351

On Wed, 03 Sep 2008 16:16:28 +0200, Detlef Schmicker wrote:
> as there is no simple well documented way to install a standard
> armel-omap kernel on the N800 (at least I could not find one) I have
> problems to install a more recent kernel than 2.6.21-omap1 (with maemo
> patches), which is the most recent kernel nokia offers at the moment. I
> will test as soon as I have a more recent kernel availible on N800.

Fine with me.  Please close the bug (or raise its severity) as soon as
you'll have tested a more recent kernel.

> As another difference between working debian and not working debian is
> the processor / gcc
>
> Processor	: ARMv6-compatible processor rev 2 (v6l)
>
> it might still be a processor problem, but as I understood it should be
> backward compatible. Does anyone have ecl with an ARMv6 running?

That's why I cc:ed the debian-arm mailing list, /proc/cpuinfo below.

Thx, bye,
Gismo / Luca

> Full cpuinfo:
> cat /proc/cpuinfo 
> Processor	: ARMv6-compatible processor rev 2 (v6l)
> BogoMIPS	: 164.36
> Features	: swp half thumb fastmult vfp edsp java 
> CPU implementer	: 0x41
> CPU architecture: 6TEJ
> CPU variant	: 0x0
> CPU part	: 0xb36
> CPU revision	: 2
> Cache type	: write-back
> Cache clean	: cp15 c7 ops
> Cache lockdown	: format C
> Cache format	: Harvard
> I size		: 32768
> I assoc		: 4
> I line length	: 32
> I sets		: 256
> D size		: 32768
> D assoc		: 4
> D line length	: 32
> D sets		: 256
>
> Hardware	: Nokia N800
> Revision	: 24202524
> Serial		: 0000000000000000
> Nokia-N800-23-14:~# 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to D Schmicker <ds_bugreport@physik.de>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 495351@bugs.debian.org (full text, mbox):

From: D Schmicker <ds_bugreport@physik.de>
To: 495351@bugs.debian.org
Subject: Re: [Ecls-list] ECL sigill on debian armel (lenny)
Date: Sat, 06 Sep 2008 10:32:12 +0200
Hi,

the problem is probably tracked down to a bug in libc6.

Here is the bugreport:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498008



Detlef





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 495351@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 495351@bugs.debian.org
Subject: Fwd: ARM sigill
Date: Sat, 6 Sep 2008 09:43:04 +0100
The upstream maintainer suggests the following fix in ecl to work
around this problem

---------- Forwarded message ----------
From: Juan Jose Garcia-Ripoll <juanjose.garciaripoll@googlemail.com>
Date: Sep 5, 2008 11:23 PM
Subject: ARM sigill
To: Martin Guy <martinwguy@yahoo.it>

Seems I found the problem. His system does not like the calls to
fedisableexcept and feenableexcept which are used to control the
behavior of the soft-FPU unit. Apparently, after these calls the
processor begins to believe it has a real FPU.
[...]
Well, I have found the problem. The mathematical routines in the C
library which are used for controlling the behavior of floating point
computations is broken.

ECL breaks right after booting because in __sigsetjmp() the system
queries an internal register for the capabilities of the CPU and it
finds that it has a coprocessor. However, this same query happened
before and it returned false.

I tracked it down to the lines in src/c/unixint.c that activate the
detection of floating point overflow. These are lines which make calls
to fedisableexcept/feenableexcept and these are the ones that seem to
drive the system crazy.

So, all in all, it seems it is a bogus C library.

But there is a simple solution. Delete the line "si_trap_fpe(Ct, Ct);"
in src/c/unixint.d

Could you report these findings in the Debian system? I am too tired
right now :-)
 -------------

Duly reported...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#495351; Package ecl. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 495351@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: D Schmicker <ds_bugreport@physik.de>
Cc: 495351@bugs.debian.org, ML ECLs-list <ecls-list@lists.sourceforge.net>
Subject: Re: Bug#495351: [Ecls-list] ECL sigill on debian armel (lenny)
Date: Sat, 06 Sep 2008 17:23:38 +0200
[Message part 1 (text/plain, inline)]
reassign 495351 libc6
found 495351 2.7-13
severity 495351 normal
merge 498008 495351
thanks

Hi Detlef!

On Sat, 06 Sep 2008 10:32:12 +0200, D Schmicker wrote:
> the problem is probably tracked down to a bug in libc6.
>
> Here is the bugreport:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498008

For the next time, there's no need to open another bug: the Debian BTS
can reassign a specific bug to another package, like in this case.

I merged both bugs, since it seems clear now that it's not at all an ECL
problem.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `ecl' to `libc6'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sat, 06 Sep 2008 15:27:06 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.7-13. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sat, 06 Sep 2008 15:27:07 GMT) Full text and rfc822 format available.

Severity set to `normal' from `minor' Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sat, 06 Sep 2008 15:27:08 GMT) Full text and rfc822 format available.

Merged 495351 498008. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sat, 06 Sep 2008 15:27:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:45:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.